Put base64-encoded blobs into store in a single request.
PUT
/store/v1/blob/batch
const url = 'https://example.com/store/v1/blob/batch';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"blobs":[{"blob":"example","cid":"example","multicodec_code":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/store/v1/blob/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "blobs": [ { "blob": "example", "cid": "example", "multicodec_code": 1 } ] }'Put base64-encoded blobs into store in a single request.
Each blob should be base64-encoded. If no multicodec is provided, the default (0x55: raw binary) will be used.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
blobs
required
Array<object>
object
blob
required
string
cid
string
multicodec_code
integer format: int64
Example generated
{ "blobs": [ { "blob": "example", "cid": "example", "multicodec_code": 1 } ]}Responses
Section titled “ Responses ”Put batch
Media type application/json
object
results
required
Array<object>
object
cid
required
string
Example generated
{ "results": [ { "cid": "example" } ]}